.Net 4 doesn't show in Target Framework selection

I'm not able to select net-4.0 at my build runner target framework.  I have net-1.0, 1.1, 2.0, 3.5 but no 4.0.  I've installed Visual Studio 2010 and verified the framework is installed in C:\Windows\Microsoft.NET\Framework\v4.0.30319.

I saw other posts listing %system.dotNetFramework4.0_Path% as the system variable to the framework folder so I've added that to the environment variables and restarted TeamCity but .net 4 still isn't an option.

I'm using TeamCity 5.1.2 with a license.

I'm probably missing a configuration option or misunderstanding how to get .net 4.0 working in TeamCity.  Any help would be appreciated, thanks!

3 comments

What was the build runner? You should not need adding those properties. Please try removing them and reboot the machine.

0

The build runner is Nant.  If I switch to MSBuild I see

MSBuild Version: 4.0
MSTools Version: 4.0
Run Platform: x86

Looks like it does see my 4.0 framework, just not in Nant.  Any idea how to make it show up with Nant as the build runner?

0

You may switch .NET framework strait in NAnt or usgin custom commandline option. As far as I know, there is no NAnt release that supports .NET 4.0 out of the box.

0

Please sign in to leave a comment.